﻿@model eCommerce.Services.Model.Promotion
@using eCommerce.Services.Model.Enums
@{
    ViewBag.Title = "Promociones";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<link href="~/Content/assets/css/jquery-timepicker.css" rel="stylesheet" />

<div class="page-header">
    <h1 class="page-title">Promociones</h1>
    <ol class="breadcrumb">
        <li class="active">Crear / Editar</li>
    </ol>
</div>

<div class="page-content">
    <div class="panel">
        <div class="panel-body">
            <div class="col-md-12">
                <div id="example">
                    @using (Html.BeginForm("PromotionUpdate", "Promotions", FormMethod.Post, new { @class = "form-horizontal", @autocomplete = "off"}))
                    {
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Título</label>
                            <div class="col-sm-5">
                                <input type="text" class="form-control" id="Title" name="Title" value="@Model.Title" />
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label">Desde</label>
                            <div class="col-sm-2">
                                <div style="margin-bottom: 10px;" class="input-group">
                                    <span class="input-group-addon"><i class="icon wb-calendar" aria-hidden="true"></i></span>
                                    <input type="text" class="form-control datepair-date datepair-start DateInput" name="StartDate" id="fromDate" placeholder="Desde" data-plugin="datepicker" value="@Model.StartDate.ToShortDateString()" />
                                </div>
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <i class="icon wb-time" aria-hidden="true"></i>
                                    </span>
                                    <input type="text" class="form-control datepair-time datepair-start ui-timepicker-input" name="StartTime" id="fromTime" data-plugin="timepicker" value="@Model.StartDate.ToShortTimeString()" />
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Hasta</label>
                            <div class="col-sm-2">
                                <div style="margin-bottom: 10px;" class="input-group">
                                    <span class="input-group-addon"><i class="icon wb-calendar" aria-hidden="true"></i></span>
                                    <input type="text" class="form-control DateInput" name="EndDate" id="toDate" placeholder="Hasta" value="@Model.EndDate.ToShortDateString()" />
                                </div>
                                <div class="input-group">
                                    <span class="input-group-addon">
                                        <i class="icon wb-time" aria-hidden="true"></i>
                                    </span>
                                    <input type="text" class="form-control datepair-time datepair-end ui-timepicker-input" id="fromTime" name="EndTime" data-plugin="timepicker" value="@Model.EndDate.ToShortTimeString()"/>
                                </div>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label">Tienda</label>
                            <div class="col-sm-5">
                                <select id="UserType" name="UserType" class="form-control" data-plugin="select2">
                                    <option value="@((int)UserTypeEnum.Minorista)" selected="@(Model.UserType == (int)UserTypeEnum.Minorista)">Minorista</option>
                                    <option value="@((int)UserTypeEnum.Mayorista)" selected="@(Model.UserType == (int)UserTypeEnum.Mayorista)">Mayorista</option>
                                </select>
                            </div>
                        </div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label">Tipo de promoción</label>
                            <div class="col-sm-5">
                                <select class="form-control" name="PromotionTypeId" id="PromotionTypeId" data-plugin="select2" required>
                                    <option value="@string.Empty"></option>
                                    <option data-type="scale" data-detail="Dentro de varios rangos de importes, cierto porcentaje  de descuento. Casi siempre se abona con todos los medios de pago, algunas veces elegimos diferenciar una escala con solo una forma de pago." value="@((int)PromotionTypeEnum.Escala)" selected="@((int)PromotionTypeEnum.Escala == Model.PromotionTypeId)">Escala</option>
                                    <option data-type="divided" data-detail="Lanzamos una promoción con dos opciones de compra, según el método de pago utilizado." value="@((int)PromotionTypeEnum.Dividida)" selected="@((int)PromotionTypeEnum.Dividida == Model.PromotionTypeId)">Dividida</option>
                                    <option data-type="quantity" data-detail="Cada cierta cantidad de prendas, algunas van sin cargo (las mas económicas)." value="@((int)PromotionTypeEnum.Cantidad)" selected="@((int)PromotionTypeEnum.Cantidad == Model.PromotionTypeId)">Cantidad</option>
                                    <option data-type="articles" data-detail="Utilizamos esta promo para realizar liquidación, pueden ser por artículos seleccionados o generalizado. " value="@((int)PromotionTypeEnum.Articulos)" selected="@((int)PromotionTypeEnum.Articulos == Model.PromotionTypeId)">Artículos</option>
                                    <option data-type="percentage" data-detail="Se realiza un cambio de precio de los productos (no un descuento) programado para un periodo de tiempo luego del cual se vuelve al precio normal." value="@((int)PromotionTypeEnum.Porcentaje)" selected="@((int)PromotionTypeEnum.Porcentaje == Model.PromotionTypeId)">Porcentaje</option>
                                </select>
                                <p class="help-block js-help-block"></p>
                            </div>
                        </div>

                        <div class="">

                        </div>

                        //PROMOCIONES DE ESCALA

                        <div class="form-group js-toggle hide js-scale js-divided js-articles js-percentage">
                            <label class="col-sm-2 control-label">Porcentaje de descuento</label>
                            <div class="col-sm-2">
                                <div style="margin-bottom: 10px;" class="input-group">
                                    <span class="input-group-addon">%</span>
                                    <input type="text" class="form-control" name="DiscountPercent" value="@Model.DiscountPercent" />
                                </div>
                            </div>
                        </div>

                        <div class="form-group js-toggle hide js-scale js-articles">
                            <label class="col-sm-2 control-label">Mínimo de compra</label>
                            <div class="col-sm-2">
                                <div style="margin-bottom: 10px;" class="input-group">
                                    <span class="input-group-addon">$</span>
                                    <input type="text" class="form-control" name="MinimumOrder" value="@Model.MinimumOrder" />
                                </div>
                            </div>
                        </div>
                        
                        <div class="form-group js-toggle hide js-scale js-divided">
                            <label class="col-sm-2 control-label">Medios de pago</label>
                            <div class="col-sm-9">
                                @*<select class="form-control" name="PaymentMethodId" id="PaymentMethodId" data-plugin="select2">
                                    <option value="@string.Empty">(Todos los medios de pago)</option>
                                    <option value="@((int)PaymentMethodEnum.Decidir)" selected="@((int)PaymentMethodEnum.Decidir == Model.PaymentMethodId)">Decidir</option>
                                    <option value="@((int)PaymentMethodEnum.MercadoPagoQR)" selected="@((int)PaymentMethodEnum.MercadoPagoQR == Model.PaymentMethodId)">Mercado Pago QR</option>
                                    <option value="@((int)PaymentMethodEnum.MercadoPago)" selected="@((int)PaymentMethodEnum.MercadoPago== Model.PaymentMethodId)">Mercado Pago (otros)</option>
                                    <option value="@((int)PaymentMethodEnum.TransferenciaBancaria)" selected="@((int)PaymentMethodEnum.TransferenciaBancaria == Model.PaymentMethodId)">Transferencia Bancaria</option>
                                    <option value="@((int)PaymentMethodEnum.Convenir)" selected="@((int)PaymentMethodEnum.Convenir== Model.PaymentMethodId)">Pago en Local</option>
                                </select>*@

                                <select class="form-control" name="PaymentMethodIds" id="PaymentMethodIds" data-plugin="select2" multiple="multiple">
                                    @if (TempData["PaymentMethods"] != null)
                                    {
                                        <option value=""></option>
                                        foreach (var item in (MultiSelectList)TempData["PaymentMethods"])
                                        {
                                            <option value="@item.Value" selected="@item.Selected">@item.Text</option>
                                        }
                                    }
                                </select>
                            </div>
                        </div>

                        <div class="form-group js-toggle hide js-divided js-quantity">
                            <label class="col-sm-2 control-label">Minimo de prendas</label>
                            <div class="col-sm-2">
                                <div style="margin-bottom: 10px;" class="input-group">
                                    <span class="input-group-addon">Unidades</span>
                                    <input type="text" class="form-control" name="MinimumUnits" value="@Model.MinimumUnits" />
                                </div>
                            </div>
                        </div>

                        <div class="form-group js-toggle hide js-divided">
                            <label class="col-sm-2 control-label">Prendas a llevar</label>
                            <div class="col-sm-2">
                                <div style="margin-bottom: 10px;" class="input-group">
                                    <span class="input-group-addon">Unidades</span>
                                    <input type="text" class="form-control" name="UnitsTaken" value="@Model.UnitsTaken" />
                                </div>
                            </div>
                        </div>

                        <div class="form-group js-toggle hide js-divided">
                            <label class="col-sm-2 control-label">Prendas a pagar</label>
                            <div class="col-sm-2">
                                <div style="margin-bottom: 10px;" class="input-group">
                                    <span class="input-group-addon">Unidades</span>
                                    <input type="text" class="form-control" name="UnitsPaid" value="@Model.UnitsPaid" />
                                </div>
                            </div>
                        </div>

                        <div class="form-group js-toggle hide js-quantity">
                            <label class="col-sm-2 control-label">Cada Y prendas</label>
                            <div class="col-sm-2">
                                <div style="margin-bottom: 10px;" class="input-group">
                                    <span class="input-group-addon">Unidades</span>
                                    <input type="text" class="form-control" name="EveryUnits" value="@Model.EveryUnits" />
                                </div>
                            </div>
                        </div>

                        <div class="form-group js-toggle hide js-quantity">
                            <label class="col-sm-2 control-label">X prendas sin cargo</label>
                            <div class="col-sm-2">
                                <div style="margin-bottom: 10px;" class="input-group">
                                    <span class="input-group-addon">Unidades</span>
                                    <input type="text" class="form-control" name="FreeUnits" value="@Model.FreeUnits" />
                                </div>
                            </div>
                        </div>

                        <div class="form-group js-toggle hide js-articles js-divided js-percentage">
                            <label class="col-sm-2 control-label">Categorias</label>
                            <div class="col-sm-9">
                                <select class="form-control" name="CategoryIds" id="CategoryIds" data-plugin="select2" multiple="multiple">
                                    @if (TempData["Categories"] != null)
                                    {
                                        <option value=""></option>
                                        foreach (var item in (MultiSelectList)TempData["Categories"])
                                        {
                                            <option value="@item.Value" selected="@item.Selected">@item.Text</option>
                                        }
                                    }
                                </select>
                            </div>
                        </div>

                        <div class="form-group js-toggle hide js-articles js-divided js-percentage">
                            <label class="col-sm-2 control-label">Productos</label>
                            <div class="col-sm-9">
                                <select class="form-control" name="ProductIds" id="ProductIds" data-plugin="select2" multiple="multiple">
                                    @if (TempData["Products"] != null)
                                    {
                                        <option value=""></option>
                                        foreach (var item in (MultiSelectList)TempData["Products"])
                                        {
                                            <option value="@item.Value" selected="@item.Selected">@item.Text</option>
                                        }
                                    }
                                </select>
                            </div>
                        </div>

                        <div class="form-group js-toggle hide js-articles js-divided js-percentage">
                            <label class="col-sm-2 control-label">Productos Excluidos</label>
                            <div class="col-sm-9">
                                <select class="form-control" name="ProductExcludedIds" id="ProductExcludedIds" data-plugin="select2" multiple="multiple">
                                    @if (TempData["ProductsExcluded"] != null)
                                    {
                                        <option value=""></option>
                                        foreach (var item in (MultiSelectList)TempData["ProductsExcluded"])
                                        {
                                            <option value="@item.Value" selected="@item.Selected">@item.Text</option>
                                        }
                                    }
                                </select>
                            </div>
                        </div>




                        <div class="text-right">
                            <button type="submit" class="btn btn-primary btn-success" id="btnSave">Grabar</button>
                            <button type="button" class="btn btn-default" onclick="window.location.href = '/Promotions'">Cancelar</button>
                            @Html.HiddenFor(model => model.PromotionId)
                        </div>
                        <input hidden="hidden" name="flagDelete" id="flagDelete" value="false" />
                    }
                </div>
            </div>
        </div>
    </div>
</div>

@section Scripts {
    <script src="~/Content/assets/js/components/datepair-js.min.js"></script>
    <script src="~/Content/assets/js/components/jt-timepicker.min.js"></script>
    <script src="~/Content/assets/js/components/jquery.timepicker.min.js"></script>
    <script type="text/javascript">

        $(document).ready(function () {
            $('#PromotionTypeId').change();

            //$('.DateInput').datepicker({
            //    format: "dd/mm/yyyy",
            //    language: "es",
            //    autoclose: true,
            //    todayHighlight: true
            //});

            $('.datepair-time').timepicker();
        });
        (function () {
            $('.form-horizontal').formValidation({
                framework: "bootstrap",
                button: {
                    selector: '#btnSave',
                    disabled: 'disabled'
                },
                icon: null,
                fields: {
                    Name: {
                        validators: {
                            notEmpty: {
                                message: 'El campo Nombre es requerido.'
                            }
                        }
                    }
                }
            });
        })();

        $('#PromotionTypeId').change( function () {

            var elem = $(this);
            var selected = elem.find(':selected');
            var promotionType = selected.data('type');
            var detail = selected.data('detail');

            $('.js-toggle').addClass('hide');
            $('.js-' + promotionType).removeClass('hide');
            $('.js-help-block').text(detail);


        });



    </script>
}

